Complexity: medium

Sprint Focus:

Subject: Failing cascaded delete action of localized elements

Description

Scenario (live):

- content element in default language with localization in a different language
Actions (workspace):

- in list view, delete localized content element

- in list view, delete content element in default language
Experience:

- deletion of localized element is discarded

Associated revisions

Revision ab25817a - 2014-08-13 16:25 - Oliver Hader

[BUGFIX] Failing cascaded delete action of localized elements

Having a record in live workspace with an accordant localization
leads to the fact that actions to the default language also have

an impact to all localizations.

In a workspace, first deleting the localization, then deleting
the record of the default language, ends up in actually having

reverted the previous deletion of the localization.

The solution is to check for delete placeholders in
DataHandler::deleteL10nOverlayRecords().

Resolves: #59113

Releases: master, 6.2

Change-Id: 1888c83a58d591f57bc2ea75a49fa603a56a7{722
Reviewed-on: http://review.typo3.org/31142

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

Revision f184ddc1 - 2014-08-13 16:33 - Oliver Hader

[BUGFIX] Failing cascaded delete action of localized elements

Having a record in live workspace with an accordant localization
leads to the fact that actions to the default language also have

an impact to all localizations.

In a workspace, first deleting the localization, then deleting
the record of the default language, ends up in actually having
reverted the previous deletion of the localization.

The solution is to check for delete placeholders in
DataHandler::deleteL10nOverlayRecords().

Resolves: #59113

Releases: master, 6.2

Change-Id: 1888c83a58d591f57bc2ea75a49fa603a56a7f722
Reviewed-on: http://review.typo3.org/32137

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

History

#1 - 2014-05-28 14:10 - Oliver Hader
- Status changed from New to Accepted

#2 - 2014-05-28 14:10 - Oliver Hader
- Assigned To set to Oliver Hader

#3 - 2014-06-25 15:56 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31142

#4 - 2014-07-11 11:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31142

#5 - 2014-08-13 16:20 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31142

#6 - 2014-08-13 16:25 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32137

#7 - 2014-08-13 16:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ab25817ab24275c260115553aa64b44326¢13cdc.
